Subject: bug#52209: 28.0.60; [PATCH] date-to-time fails on pure dates

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 26 Dec 2021 12:31:07 +0100

Bob Rogers <[email-masked]> writes:

>    On the other hand, this might be overkill for callers of parse-date,
> who, being deep in their own logic, might only care that some date they
> have to deal with is invalid.  Which is why I wanted an opinion from
> someone with the big picture -- I admit I am biased (and a bit annoyed)
> from too often having to study the code to figure out why some perfectly
> reasonable date I supply is being misinterpreted.

Better errors messages are possible without making many specific error
symbols, though.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no